import { z } from "zod";
export declare const ZTeam: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    name: z.ZodString;
    plan: z.ZodEnum<["free", "pro"]>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    plan?: "free" | "pro";
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    plan?: "free" | "pro";
}>;
export type TTeam = z.infer<typeof ZTeam>;
