import z from "zod";
export declare const ZSession: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    expiresAt: z.ZodDate;
    personId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    expiresAt?: Date;
    personId?: string;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    expiresAt?: Date;
    personId?: string;
}>;
export type TSession = z.infer<typeof ZSession>;
